#include "DBDChildActorSpawnerComponent.h"
#include "DBDChildActorSpawnParams.h"
#include "Net/UnrealNetwork.h"

class AActor;

void UDBDChildActorSpawnerComponent::OnRep_Child()
{

}

bool UDBDChildActorSpawnerComponent::BP_SpawnChildWithParams(const FDBDChildActorSpawnParams& spawnParams)
{
	return false;
}

bool UDBDChildActorSpawnerComponent::BP_SpawnChild()
{
	return false;
}

bool UDBDChildActorSpawnerComponent::BP_IsChildSpawned() const
{
	return false;
}

bool UDBDChildActorSpawnerComponent::BP_IsChildAttached() const
{
	return false;
}

AActor* UDBDChildActorSpawnerComponent::BP_GetChild() const
{
	return NULL;
}

bool UDBDChildActorSpawnerComponent::BP_DestroyChild()
{
	return false;
}

void UDBDChildActorSpawnerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDBDChildActorSpawnerComponent, _child);
	DOREPLIFETIME(UDBDChildActorSpawnerComponent, _childSpawnParams);
}

UDBDChildActorSpawnerComponent::UDBDChildActorSpawnerComponent()
{
	this->_autoSpawnChild = false;
}
